
Katello - Bug #16215

Updates to pulp breaks httpd on capsule

08/21/2016 05:57 PM - Dylan Baars

Status: Rejected   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Foreman Proxy Content   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After running "yum -y update" on our katello capsule (version 1.11.4 reported in the GUI) these updates were applied

Aug 18 19:22:41 Updated: python-pulp-common-2.8.6-1.el7.noarch

Aug 18 19:22:41 Updated: python-nectar-1.5.2-1.el7.noarch

Aug 18 19:22:41 Updated: python-pulp-repoauth-2.8.6-1.el7.noarch

Aug 18 19:22:41 Updated: python-pulp-rpm-common-2.8.6-1.el7.noarch

Aug 18 19:22:42 Updated: python-pulp-oid_validation-2.8.6-1.el7.noarch

Aug 18 19:22:42 Updated: python-pulp-puppet-common-2.8.6-1.el7.noarch

Aug 18 19:22:42 Updated: python-pulp-docker-common-2.0.2-1.el7.noarch

Aug 18 19:22:42 Updated: python-pulp-agent-lib-2.8.6-1.el7.noarch

Aug 18 19:23:51 Updated: pulp-selinux-2.8.6-1.el7.noarch

Aug 18 19:23:51 Updated: python-django-bash-completion-1.8.14-1.el7.noarch

Aug 18 19:23:59 Updated: python-django-1.8.14-1.el7.noarch

Aug 18 19:24:05 Updated: pulp-server-2.8.6-1.el7.noarch

Aug 18 19:24:05 Updated: python-pulp-streamer-2.8.6-1.el7.noarch

Aug 18 19:24:05 Updated: pulp-puppet-plugins-2.8.6-1.el7.noarch

Aug 18 19:24:06 Updated: pulp-docker-plugins-2.0.2-1.el7.noarch

Aug 18 19:24:06 Updated: pulp-rpm-plugins-2.8.6-1.el7.noarch

Aug 18 19:24:06 Updated: pulp-rpm-handlers-2.8.6-1.el7.noarch

Aug 18 19:24:08 Updated: 1:v8-3.14.5.10-25.el7.x86_64

Aug 18 19:24:11 Updated: python-crane-2.0.1-1.el7.noarch

Aug 18 19:24:11 Updated: 1:mariadb-libs-5.5.50-1.el7_2.x86_64

One of these broke httpd on the capsule. Message from the failed service:

AH00526: Syntax error on line 28 of /etc/httpd/conf.d/pulp.conf:

Name duplicates previous WSGI daemon definition.

Line 28 in pulp.conf is

WSGIDaemonProcess pulp user=apache group=apache processes=3 display-name=%{GROUP}

This line is duplicated in 05-pulp-https.conf

[root@wellcapsuleext conf.d]# cat 05-pulp-https.conf | grep WSGIDaemonProcess

WSGIDaemonProcess pulp user=apache group=apache processes=3 display-name=%{GROUP}

According to https://access.redhat.com/solutions/2535061 removing the 05-pulp-https.conf is the answer - doing that does allow

httpd to start, but then in the katello GUI browsing to the capsule gives an SSL error for the content sync status. Swapping the two

files so that 05-pulp-https.conf was in /etc/httpd/conf.d instead of pulp.conf still allows httpd to start, and gives no error in the katello

GUI

I have attached both 05-pulp-https.conf and pulp.conf

History
https://access.redhat.com/solutions/2535061


#1 - 08/30/2016 02:18 PM - Justin Sherrill

- translation missing: en.field_release changed from 143 to 184

#2 - 09/27/2016 02:27 PM - Justin Sherrill

- Status changed from New to Rejected

- Assignee set to Justin Sherrill

- translation missing: en.field_release changed from 184 to 166

I believe 'foreman-installer' just needed to be run after upgrading.  This is common after doing a 'yum update' as different updates can drop files in

/etc/httpd/conf.d/ which conflict with what puppet is managing.

Going ahead and closing, feel free to comment if you feel different.

Files

05-pulp-https.conf 2.05 KB 08/21/2016 Dylan Baars

pulp.conf 3.58 KB 08/21/2016 Dylan Baars
